Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20428)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20435)
@@ -755,4 +755,5 @@
         foreach ($arrParams as $arrDetail) {
             $arrValues = $objQuery->extractOnlyColsOf($table, $arrDetail);
+            $arrValues['order_detail_id'] = $objQuery->nextVal('dtb_order_detail_order_detail_id');
             $arrValues['order_id'] = $order_id;
             $objQuery->insert($table, $arrValues);
@@ -822,4 +823,5 @@
               ON T2.product_class_id = T3.product_class_id
 __EOS__;
+        $objQuery->setOrder('T2.order_detail_id');
         return $objQuery->select($col, $from, 'T1.order_id = ?', array($order_id));
     }
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 20361)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 20435)
@@ -102,4 +102,5 @@
         $arrRet = $objQuery->select("*", "dtb_order", $where, array($order_id));
         $arrOrder = $arrRet[0];
+        $objQuery->setOrder('order_detail_id');
         $arrTplVar->arrOrderDetail = $objQuery->select("*", "dtb_order_detail", $where, array($order_id));
 
Index: /branches/version-2_5-dev/data/class/SC_Fpdf.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Fpdf.php	(revision 20116)
+++ /branches/version-2_5-dev/data/class/SC_Fpdf.php	(revision 20435)
@@ -328,5 +328,5 @@
         $col = "product_id, product_class_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate";
         $where = "order_id = ?";
-        $objQuery->setOrder("product_class_id");
+        $objQuery->setOrder("order_detail_id");
         $arrRet = $objQuery->select($col, "dtb_order_detail", $where, array($order_id));
         return $arrRet;
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 20312)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 20435)
@@ -97,5 +97,5 @@
         $table  = "dtb_order_detail LEFT JOIN dtb_products_class USING(product_class_id)";
         $where  = "order_id = ?";
-        $objQuery->setOrder("product_class_id");
+        $objQuery->setOrder("order_detail_id");
         $arrOrderDetail = $objQuery->select($col, $table, $where, array($order_id));
         return $arrOrderDetail;
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 20434)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 20435)
@@ -256,5 +256,7 @@
                         dtb_order_detail AS det
                     WHERE
-                        ord.order_id = det.order_id LIMIT 1
+                        ord.order_id = det.order_id
+                    ORDER BY det.order_detail_id
+                    LIMIT 1
                     ) AS product_name,
                     (SELECT
Index: /branches/version-2_5-dev/html/install/index.php
===================================================================
--- /branches/version-2_5-dev/html/install/index.php	(revision 20424)
+++ /branches/version-2_5-dev/html/install/index.php	(revision 20435)
@@ -999,4 +999,5 @@
                  array("dtb_news", "news_id"),
                  array("dtb_order", "order_id"),
+                 array("dtb_order_detail", "order_detail_id"),
                  array("dtb_other_deliv", "other_deliv_id"),
                  array("dtb_pagelayout", "page_id"),
Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 20433)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 20435)
@@ -476,6 +476,5 @@
 
 ', '
-
-===============================================================
+============================================
 
 
@@ -485,5 +484,4 @@
 
 ご質問やご不明な点がございましたら、こちらからお願いいたします。
-http://------.co.jp
 
 ', 0, 0, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
Index: /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 20411)
+++ /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 20435)
@@ -707,4 +707,5 @@
 
 CREATE TABLE dtb_order_detail (
+    order_detail_id int NOT NULL,
     order_id int NOT NULL,
     product_id int NOT NULL,
@@ -716,5 +717,6 @@
     price numeric,
     quantity numeric,
-    point_rate numeric
+    point_rate numeric,
+    PRIMARY KEY (order_detail_id)
 ) ENGINE=InnoDB;
 
Index: /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 20411)
+++ /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 20435)
@@ -707,4 +707,5 @@
 
 CREATE TABLE dtb_order_detail (
+    order_detail_id int NOT NULL,
     order_id int NOT NULL,
     product_id int NOT NULL,
@@ -716,5 +717,6 @@
     price numeric,
     quantity numeric,
-    point_rate numeric
+    point_rate numeric,
+    PRIMARY KEY (order_detail_id)
 );
 