Index: /branches/version-2_5-dev/data/class_extends/SC_CartSession_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/SC_CartSession_Ex.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class_extends/SC_CartSession_Ex.php	(revision 20444)
@@ -0,0 +1,29 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once(CLASS_REALDIR . "SC_CartSession.php");
+
+class SC_CartSession_Ex extends SC_CartSession {
+}
+
+?>
Index: /branches/version-2_5-dev/data/class/SC_SiteView.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_SiteView.php	(revision 20306)
+++ /branches/version-2_5-dev/data/class/SC_SiteView.php	(revision 20444)
@@ -33,5 +33,5 @@
 
         if ($setPrevURL) {
-            $objCartSess = new SC_CartSession();
+            $objCartSess = new SC_CartSession_Ex();
             $objCartSess->setPrevURL($_SERVER['REQUEST_URI']);
         }
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20442)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20444)
@@ -57,5 +57,5 @@
         $objQuery =& SC_Query::getSingletonInstance();
         $objSiteSession = new SC_SiteSession();
-        $objCartSession = new SC_CartSession();
+        $objCartSession = new SC_CartSession_Ex();
         $objCustomer = new SC_Customer();
         $customerId = $objCustomer->getValue('customer_id');
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 20444)
@@ -64,5 +64,5 @@
     function action() {
         // カートが空かどうかを確認する。
-        $objCartSess            = new SC_CartSession();
+        $objCartSess            = new SC_CartSession_Ex();
         $this->tpl_cart_empty   = count($objCartSess->getCartList()) < 1;
 
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 20116)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 20444)
@@ -63,5 +63,5 @@
      */
     function action() {
-        $objCart = new SC_CartSession();
+        $objCart = new SC_CartSession_Ex();
         $objSiteInfo = new SC_SiteInfo;
         $this->isMultiple = $objCart->isMultiple();
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 20434)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 20444)
@@ -502,5 +502,5 @@
         $product_class_id = $arrForm['product_class_id'];
         $product_type = $arrForm['product_type'];
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objCartSess->addProduct($product_class_id, $arrForm['quantity']);
 
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 20434)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 20444)
@@ -148,5 +148,5 @@
                 $this->arrErr = $this->lfCheckError($this->mode,$this->objFormParam);
                 if (count($this->arrErr) == 0) {
-                    $objCartSess = new SC_CartSession();
+                    $objCartSess = new SC_CartSession_Ex();
                     $classcategory_id1 = $this->objFormParam->getValue('classcategory_id1');
                     $classcategory_id2 = $this->objFormParam->getValue('classcategory_id2');
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 20435)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 20444)
@@ -105,5 +105,5 @@
     function lfAddCartProducts($arrOrderDetail) {
 
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         foreach($arrOrderDetail as $order_row) {
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 20444)
@@ -71,5 +71,5 @@
      */
     function action() {
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objSiteSess = new SC_SiteSession();
         $objCustomer = new SC_Customer();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 20434)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 20444)
@@ -76,5 +76,5 @@
     function action() {
         $objSiteSess = new SC_SiteSession();
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
         $objCustomer = new SC_Customer();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20433)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20444)
@@ -77,5 +77,5 @@
     function action() {
         $objSiteSess = new SC_SiteSession();
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objCustomer = new SC_Customer();
         $objCookie = new SC_Cookie();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 20444)
@@ -67,5 +67,5 @@
     function action() {
         $objSiteSess = new SC_SiteSession();
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objCustomer = new SC_Customer();
         $objPurchase = new SC_Helper_Purchase_Ex();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php	(revision 20444)
@@ -53,5 +53,5 @@
     function process() {
         $objSiteSess = new SC_SiteSession();
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 20444)
@@ -65,5 +65,5 @@
     function action() {
         $objSiteSess = new SC_SiteSession();
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
         $objCustomer = new SC_Customer();
Index: /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 20443)
+++ /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 20444)
@@ -76,5 +76,5 @@
      */
     function action() {
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objSiteSess = new SC_SiteSession();
         $objCustomer = new SC_Customer();
Index: /branches/version-2_5-dev/data/class/SC_Display.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Display.php	(revision 20306)
+++ /branches/version-2_5-dev/data/class/SC_Display.php	(revision 20444)
@@ -56,5 +56,5 @@
     function setPrevURL(){
         // TODO SC_SiteSession で実装した方が良さげ
-        $objCartSess = new SC_CartSession();
+        $objCartSess = new SC_CartSession_Ex();
         $objCartSess->setPrevURL($_SERVER['REQUEST_URI']);
     }
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 20437)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 20444)
@@ -44,5 +44,5 @@
 require_once(CLASS_EX_REALDIR . "SC_SendMail_Ex.php");
 require_once(CLASS_REALDIR . "SC_FormParam.php");
-require_once(CLASS_REALDIR . "SC_CartSession.php");
+require_once(CLASS_EX_REALDIR . "SC_CartSession_Ex.php");
 require_once(CLASS_REALDIR . "SC_SiteSession.php");
 require_once(CLASS_REALDIR . "SC_Customer.php");