Index: /branches/version-2_5-dev/data/class_extends/SC_SiteSession_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/SC_SiteSession_Ex.php	(revision 20448)
+++ /branches/version-2_5-dev/data/class_extends/SC_SiteSession_Ex.php	(revision 20448)
@@ -0,0 +1,29 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once(CLASS_REALDIR . "SC_SiteSession.php");
+
+class SC_SiteSession_Ex extends SC_SiteSession {
+}
+
+?>
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 20448)
@@ -66,5 +66,5 @@
      */
     function action() {
-        $objSiteSess = new SC_SiteSession();
+        $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
         $objCustomer = new SC_Customer();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php	(revision 20448)
@@ -52,5 +52,5 @@
      */
     function process() {
-        $objSiteSess = new SC_SiteSession();
+        $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 20448)
@@ -64,5 +64,5 @@
      */
     function action() {
-        $objSiteSess = new SC_SiteSession();
+        $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 20448)
@@ -72,5 +72,5 @@
     function action() {
         $objCartSess = new SC_CartSession_Ex();
-        $objSiteSess = new SC_SiteSession();
+        $objSiteSess = new SC_SiteSession_Ex();
         $objCustomer = new SC_Customer();
         $objQuery = new SC_Query();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 20448)
@@ -75,5 +75,5 @@
      */
     function action() {
-        $objSiteSess = new SC_SiteSession();
+        $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20448)
@@ -76,5 +76,5 @@
      */
     function action() {
-        $objSiteSess = new SC_SiteSession();
+        $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
         $objCustomer = new SC_Customer();
Index: /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 20448)
@@ -77,5 +77,5 @@
     function action() {
         $objCartSess = new SC_CartSession_Ex();
-        $objSiteSess = new SC_SiteSession();
+        $objSiteSess = new SC_SiteSession_Ex();
         $objCustomer = new SC_Customer();
 
Index: /branches/version-2_5-dev/data/class/SC_Customer.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Customer.php	(revision 20428)
+++ /branches/version-2_5-dev/data/class/SC_Customer.php	(revision 20448)
@@ -214,5 +214,5 @@
         // トランザクショントークンの破棄
         SC_Helper_Session_Ex::destroyToken();
-        $objSiteSess = new SC_SiteSession();
+        $objSiteSess = new SC_SiteSession_Ex();
         $objSiteSess->unsetUniqId();
         // ログに記録する
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20448)
@@ -56,5 +56,5 @@
     function completeOrder($orderStatus = ORDER_NEW) {
         $objQuery =& SC_Query::getSingletonInstance();
-        $objSiteSession = new SC_SiteSession();
+        $objSiteSession = new SC_SiteSession_Ex();
         $objCartSession = new SC_CartSession_Ex();
         $objCustomer = new SC_Customer();
@@ -118,5 +118,5 @@
              *(ユニークIDがPOSTされていない場合はスルー)
              */
-            if(!SC_SiteSession::checkUniqId()) {
+            if(!SC_SiteSession_Ex::checkUniqId()) {
                 SC_Utils_Ex::sfDispSiteError(CANCEL_PURCHASE);
                 exit;
@@ -676,8 +676,8 @@
         $objQuery->update("dtb_order_temp", array('del_flg' => 1),
                           "order_temp_id = ?",
-                          array(SC_SiteSession::getUniqId()));
+                          array(SC_SiteSession_Ex::getUniqId()));
 
         $objCartSession->delAllProducts($cartKey);
-        SC_SiteSession::unsetUniqId();
+        SC_SiteSession_Ex::unsetUniqId();
         return $orderParams['order_id'];
     }
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 20444)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 20448)
@@ -45,5 +45,5 @@
 require_once(CLASS_REALDIR . "SC_FormParam.php");
 require_once(CLASS_EX_REALDIR . "SC_CartSession_Ex.php");
-require_once(CLASS_REALDIR . "SC_SiteSession.php");
+require_once(CLASS_EX_REALDIR . "SC_SiteSession_Ex.php");
 require_once(CLASS_REALDIR . "SC_Customer.php");
 require_once(CLASS_REALDIR . "SC_CustomerList.php");