Index: /branches/version-2_5-dev/data/class/SC_View.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_View.php	(revision 20303)
+++ /branches/version-2_5-dev/data/class/SC_View.php	(revision 20459)
@@ -22,15 +22,12 @@
  */
 
-$viewDir = realpath(dirname(__FILE__)) . '/'; // XXX グローバル変数として流用あり
-require_once $viewDir . '../module/Smarty/libs/Smarty.class.php';
+require_once realpath(dirname(__FILE__)) . '/../module/Smarty/libs/Smarty.class.php';
 
 class SC_View {
 
     var $_smarty;
-    var $objSiteInfo; // サイト情報
 
     // コンストラクタ
     function SC_View($siteinfo = true) {
-        global $viewDir;
 
         $this->_smarty = new Smarty;
@@ -51,5 +48,5 @@
         $this->_smarty->register_modifier("sfRmDupSlash", array("SC_Utils_Ex", "sfRmDupSlash"));
         $this->_smarty->register_modifier("sfCutString", array("SC_Utils_Ex", "sfCutString"));
-        $this->_smarty->plugins_dir=array("plugins", $viewDir . "../smarty_extends");
+        $this->_smarty->plugins_dir=array("plugins", realpath(dirname(__FILE__)) . "/../smarty_extends");
         $this->_smarty->register_modifier("sfMbConvertEncoding", array("SC_Utils_Ex", "sfMbConvertEncoding"));
         $this->_smarty->register_modifier("sfGetEnabled", array("SC_Utils_Ex", "sfGetEnabled"));
@@ -63,27 +60,4 @@
         if(ADMIN_MODE == '1') {
             $this->time_start = SC_Utils_Ex::sfMicrotimeFloat();
-        }
-
-        // サイト情報を取得する
-        // XXX LC_Page 配下で取得した方が良い
-        if($siteinfo) {
-            if(!defined('LOAD_SITEINFO')) {
-                $this->objSiteInfo = new SC_SiteInfo();
-                $arrInfo['arrSiteInfo'] = $this->objSiteInfo->data;
-
-                // 都道府県名を変換
-                $masterData = new SC_DB_MasterData_Ex();
-                $arrPref = $masterData->getMasterData('mtb_pref');
-                $arrInfo['arrSiteInfo']['pref'] =
-                    isset($arrPref[$arrInfo['arrSiteInfo']['pref']])
-                    ? $arrPref[$arrInfo['arrSiteInfo']['pref']] : "";
-
-                 // サイト情報を割り当てる
-                foreach ($arrInfo as $key => $value){
-                    $this->_smarty->assign($key, $value);
-                }
-
-                define('LOAD_SITEINFO', 1);
-            }
         }
     }
@@ -161,7 +135,6 @@
     /* サイト初期設定 */
     function initpath() {
-        global $viewDir;
 
-        $array['tpl_mainnavi'] = $viewDir . '../Smarty/templates/frontparts/mainnavi.tpl';
+        $array['tpl_mainnavi'] = realpath(dirname(__FILE__)) . '/../Smarty/templates/frontparts/mainnavi.tpl';
 
         $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_5-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page.php	(revision 20384)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page.php	(revision 20459)
@@ -76,4 +76,7 @@
     var $template = SITE_FRAME;
 
+    /** 店舗基本情報 */
+    var $arrSiteInfo;
+
     // }}}
     // {{{ functions
@@ -100,4 +103,7 @@
         $this->objPlugin = new SC_Helper_Plugin_Ex();
         $this->objPlugin->preProcess($this);
+
+        // 店舗基本情報取得
+        $this->arrSiteInfo = SC_Helper_DB_Ex::sfGetBasisData();
 
         // トランザクショントークンの検証と生成
Index: /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 20459)
@@ -67,5 +67,5 @@
      */
     function action() {
-        $this->objSiteInfo = new SC_SiteInfo();
+        $this->objSiteInfo->data = SC_Helper_DB_Ex::sfGetBasisData();
         $this->objSiteInfo->data['pref'] =
             isset($this->arrPref[$this->objSiteInfo->data['pref']])
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 20395)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 20459)
@@ -149,6 +149,6 @@
      */
     function lfGetRegularHoliday() {
-        $objSiteInfo = new SC_SiteInfo();
-        $arrRegularHoliday = explode('|', $objSiteInfo->data['regular_holiday_ids']);
+        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
+        $arrRegularHoliday = explode('|', $arrInfo['regular_holiday_ids']);
         return $arrRegularHoliday;
     }
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 20459)
@@ -64,7 +64,6 @@
     function action() {
         $objCart = new SC_CartSession_Ex();
-        $objSiteInfo = new SC_SiteInfo;
         $this->isMultiple = $objCart->isMultiple();
-        $this->arrCartList = $this->lfGetCartData($objCart, $objSiteInfo);
+        $this->arrCartList = $this->lfGetCartData($objCart);
     }
 
@@ -82,8 +81,7 @@
      *
      * @param SC_CartSession $objCart カートセッション管理クラス
-     * @param SC_SiteInfo $objSiteInfo サイト情報クラス
      * @return array $arrCartList カートデータ配列
      */
-    function lfGetCartData(&$objCart, &$objSiteInfo) {
+    function lfGetCartData(&$objCart) {
         $arrCartKeys = $objCart->getKeys();
         foreach ($arrCartKeys as $cart_key) {
@@ -106,5 +104,5 @@
         
         // 店舗情報の取得
-        $arrInfo = $objSiteInfo->data;
+        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
         
         // 送料無料までの金額
@@ -117,7 +115,5 @@
         
         return $arrCartList;
-        
     }
-
 }
 ?>
Index: /branches/version-2_5-dev/data/class/pages/rss/LC_Page_Rss_Products.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 20459)
@@ -65,8 +65,7 @@
     function action() {
         $objView = new SC_SiteView_Ex();
-        $objSiteInfo = new SC_SiteInfo();
         
         //店舗情報をセット
-        $this->arrSiteInfo = $objSiteInfo->data;
+        $this->arrSiteInfo = SC_Helper_DB_Ex::sfGetBasisData();
         
         //商品IDを取得
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 20435)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 20459)
@@ -54,6 +54,5 @@
         $tmp_subject = $arrRet[0]['subject'];
 
-        $objSiteInfo = new SC_SiteInfo();
-        $arrInfo = $objSiteInfo->data;
+        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
 
         $objMailView = new SC_SiteView_Ex();
@@ -79,6 +78,5 @@
 
         $arrTplVar = new stdClass();
-        $objSiteInfo = new SC_SiteInfo();
-        $arrInfo = $objSiteInfo->data;
+        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
         $arrTplVar->arrInfo = $arrInfo;
 
@@ -185,6 +183,5 @@
     function sfSendTplMail($to, $tmp_subject, $tplpath, &$objPage) {
         $objMailView = new SC_SiteView_Ex();
-        $objSiteInfo = new SC_SiteInfo();
-        $arrInfo = $objSiteInfo->data;
+        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
         // メール本文の取得
         $objPage->tpl_shopname=$arrInfo['shop_name'];
@@ -205,6 +202,5 @@
     // 通常のメール送信
     function sfSendMail($to, $tmp_subject, $body) {
-        $objSiteInfo = new SC_SiteInfo();
-        $arrInfo = $objSiteInfo->data;
+        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
         // メール送信処理
         $objSendMail = new SC_SendMail_Ex();
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php	(revision 20428)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php	(revision 20459)
@@ -137,4 +137,7 @@
      * 店舗基本情報を取得する.
      *
+     * 引数 $force が false の場合は, 初回のみ DB 接続し,
+     * 2回目以降はキャッシュされた結果を使用する.
+     *
      * @param boolean $force 強制的にDB取得するか
      * @param string $col 取得カラムを指定する
Index: anches/version-2_5-dev/data/class/SC_SiteInfo.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_SiteInfo.php	(revision 19677)
+++ 	(revision )
@@ -1,70 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-/**
- * サイト情報を取得する.
- *
- * FIXME このクラスを使用している場合は,
- * SC_Helper_DB::sfGetBasisData() に置き変えて下さい
- *
- * @deprecated SC_Helper_DB::sfGetBasisData() を使用して下さい.
- */
-class SC_SiteInfo {
-
-    var $conn;
-    var $data;
-
-    /**
-     * @deprecated SC_Helper_DB::sfGetBasisData() を使用して下さい.
-     *
-     * FIXME この関数を使用している場合は,
-     * SC_Helper_DB::sfGetBasisData() に置き変えて下さい
-     *
-     */
-    function SC_SiteInfo($conn = ''){
-        /*
-        $DB_class_name = "SC_DbConn";
-        if ( is_object($conn)){
-            if ( is_a($conn, $DB_class_name)){
-                // $connが$DB_class_nameのインスタンスである
-                $this->conn = $conn;
-            }
-        } else {
-            if (class_exists($DB_class_name)){
-                //$DB_class_nameのインスタンスを作成する
-                $this->conn = new SC_DbConn();
-            }
-        }
-
-        if ( is_object($this->conn)){
-            $conn = $this->conn;
-            $sql = "SELECT * FROM dtb_baseinfo";
-            $data = $conn->getAll($sql);
-            $this->data = $data[0];
-            }
-        */
-        $objDb = new SC_Helper_DB_Ex();
-        $this->data = $objDb->sfGetBasisData();
-    }
-}
-?>
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 20449)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 20459)
@@ -41,5 +41,4 @@
 require_once(CLASS_REALDIR . "SC_Image.php");
 require_once(CLASS_REALDIR . "SC_UploadFile.php");
-require_once(CLASS_REALDIR . "SC_SiteInfo.php");
 require_once(CLASS_EX_REALDIR . "SC_SendMail_Ex.php");
 require_once(CLASS_REALDIR . "SC_FormParam.php");
Index: /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl	(revision 20290)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl	(revision 20459)
@@ -23,5 +23,4 @@
 *}-->
 <!--▼CONTENTS-->
-<!--{assign var=_site value=$arrSiteInfo}-->
 <script type="text/javascript">//<![CDATA[
 $(function() {
@@ -33,6 +32,6 @@
         'height': '300px'
     });
-    var lat = <!--{$_site.latitude}-->
-    var lng = <!--{$_site.longitude}-->
+    var lat = <!--{$objSiteInfo->data.latitude}-->
+    var lng = <!--{$objSiteInfo->data.longitude}-->
     if (lat && lng) {
         var latlng = new google.maps.LatLng(lat, lng);