Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 20407)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 20475)
@@ -62,5 +62,5 @@
                     <!--{if $orderDetail.product_type_id == PRODUCT_TYPE_DOWNLOAD}-->
                         <!--{if $orderDetail.price == "0" || ( $orderDetail.status >= "4" && $orderDetail.effective == "1" )}-->
-                            <a target="_self" href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/download.php?order_id=<!--{$tpl_arrOrderData.order_id}-->&product_id=<!--{$orderDetail.product_id}-->&product_class_id=<!--{$orderDetail.product_class_id}-->">ダウンロード</a>
+                            <a target="_self" href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/download.php?order_id=<!--{$tpl_arrOrderData.order_id}-->&amp;product_id=<!--{$orderDetail.product_id}-->&amp;product_class_id=<!--{$orderDetail.product_class_id}-->">ダウンロード</a>
                         <!--{elseif $orderDetail.payment_date == "" || $orderDetail.status < "4"}-->
                             ダウンロード商品<BR />（入金確認中）
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/products/detail.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 20328)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 20475)
@@ -36,5 +36,5 @@
 [1]
   <!--{else}-->
-[<a href="?product_id=<!--{$smarty.get.product_id}-->&image=main_image">1</a>]
+[<a href="?product_id=<!--{$smarty.get.product_id}-->&amp;image=main_image">1</a>]
   <!--{/if}-->
   
@@ -46,5 +46,5 @@
 [<!--{$num}-->]
     <!--{else}-->
-[<a href="?product_id=<!--{$smarty.get.product_id}-->&image=<!--{$key}-->"><!--{$num}--></a>]
+[<a href="?product_id=<!--{$smarty.get.product_id}-->&amp;image=<!--{$key}-->"><!--{$num}--></a>]
     <!--{/if}-->
     <!--{assign var=num value="`$num+1`"}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/mail/template.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/mail/template.tpl	(revision 20407)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/mail/template.tpl	(revision 20475)
@@ -50,7 +50,7 @@
             <!--{assign var=type value=$arrTemplates[data].mail_method|h}-->
             <td><!--{$arrMagazineType[$type]}--></td>
-            <td><a href="./template_input.php?mode=edit&template_id=<!--{$arrTemplates[data].template_id}-->">編集</a></td>
-            <td><a href="#" onclick="fnDelete('?mode=delete&id=<!--{$arrTemplates[data].template_id}-->'); return false;">削除</a></td>
-            <td><a href="#" onclick="win03('./preview.php?mode=template&template_id=<!--{$arrTemplates[data].template_id}-->','preview','650','700'); return false;" target="_blank">プレビュー</a></td>
+            <td><a href="./template_input.php?mode=edit&amp;template_id=<!--{$arrTemplates[data].template_id}-->">編集</a></td>
+            <td><a href="#" onclick="fnDelete('?mode=delete&amp;id=<!--{$arrTemplates[data].template_id}-->'); return false;">削除</a></td>
+            <td><a href="#" onclick="win03('./preview.php?mode=template&amp;template_id=<!--{$arrTemplates[data].template_id}-->','preview','650','700'); return false;" target="_blank">プレビュー</a></td>
         </tr>
         <!--{/section}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/total/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/total/index.tpl	(revision 20407)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/total/index.tpl	(revision 20475)
@@ -115,5 +115,5 @@
     <div id="graph-image">
       <!--{* <img src="<!--{$tpl_image}-->?<!--{$cashtime}-->" alt="グラフ"> *}-->
-      <img src="?draw_image=true&amp;type=<!--{$smarty.post.type}-->&amp;mode=search&amp;page=<!--{$smarty.post.page}-->&search_startyear_m=<!--{$smarty.post.search_startyear_m}-->&search_startmonth_m=<!--{$smarty.post.search_startmonth_m}-->&search_startyear=<!--{$smarty.post.search_startyear}-->&search_startmonth=<!--{$smarty.post.search_startmonth}-->&search_startday=<!--{$smarty.post.search_startday}-->&search_endyear=<!--{$smarty.post.search_endyear}-->&search_endmonth=<!--{$smarty.post.search_endmonth}-->&search_endday=<!--{$smarty.post.search_endday}-->" alt="グラフ" />
+      <img src="?draw_image=true&amp;type=<!--{$smarty.post.type}-->&amp;mode=search&amp;page=<!--{$smarty.post.page}-->&amp;search_startyear_m=<!--{$smarty.post.search_startyear_m}-->&amp;search_startmonth_m=<!--{$smarty.post.search_startmonth_m}-->&amp;search_startyear=<!--{$smarty.post.search_startyear}-->&amp;search_startmonth=<!--{$smarty.post.search_startmonth}-->&amp;search_startday=<!--{$smarty.post.search_startday}-->&amp;search_endyear=<!--{$smarty.post.search_endyear}-->&amp;search_endmonth=<!--{$smarty.post.search_endmonth}-->&amp;search_endday=<!--{$smarty.post.search_endday}-->" alt="グラフ" />
     </div>
     <!--{/if}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/system/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/system/index.tpl	(revision 20407)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/system/index.tpl	(revision 20475)
@@ -62,6 +62,6 @@
       <td align="center">
       <!--{$tpl_nomove}-->
-      <!--{if !($smarty.section.data.first && $tpl_disppage eq 1)}--><a href="./rank.php?id=<!--{$list_data[data].member_id}-->&move=up&pageno=<!--{$tpl_disppage}-->">上へ</a><!--{/if}-->
-      <!--{if !($smarty.section.data.last && $tpl_disppage eq $tpl_pagemax)}--><a href="./rank.php?id=<!--{$list_data[data].member_id}-->&move=down&pageno=<!--{$tpl_disppage}-->">下へ</a><!--{/if}-->
+      <!--{if !($smarty.section.data.first && $tpl_disppage eq 1)}--><a href="./rank.php?id=<!--{$list_data[data].member_id}-->&amp;move=up&amp;pageno=<!--{$tpl_disppage}-->">上へ</a><!--{/if}-->
+      <!--{if !($smarty.section.data.last && $tpl_disppage eq $tpl_pagemax)}--><a href="./rank.php?id=<!--{$list_data[data].member_id}-->&amp;move=down&amp;pageno=<!--{$tpl_disppage}-->">下へ</a><!--{/if}-->
       </td>
     </tr>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/ownersstore/products_list.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/ownersstore/products_list.tpl	(revision 20116)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/ownersstore/products_list.tpl	(revision 20475)
@@ -35,5 +35,5 @@
         <td>
             <a href="<!--{$smarty.const.OSTORE_URL}-->products/detail.php?product_id=<!--{$product.product_id|h}-->" target="_blank">
-                <img src="<!--{$smarty.const.OSTORE_SSLURL}-->resize.php?image=<!--{$product.main_list_image|h}-->&width=50&height=50" /></a>
+                <img src="<!--{$smarty.const.OSTORE_SSLURL}-->resize.php?image=<!--{$product.main_list_image|h}-->&amp;width=50&amp;height=50" /></a>
         </td>
         <td>