Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 20489)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 20490)
@@ -45,5 +45,5 @@
 require_once(CLASS_EX_REALDIR . "SC_CartSession_Ex.php");
 require_once(CLASS_EX_REALDIR . "SC_SiteSession_Ex.php");
-require_once(CLASS_REALDIR . "SC_Customer.php");
+require_once(CLASS_EX_REALDIR . "SC_Customer_Ex.php");
 require_once(CLASS_EX_REALDIR . "SC_CustomerList_Ex.php");
 require_once(CLASS_REALDIR . "SC_Cookie.php");
Index: /branches/version-2_5-dev/data/class_extends/SC_Customer_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/SC_Customer_Ex.php	(revision 20490)
+++ /branches/version-2_5-dev/data/class_extends/SC_Customer_Ex.php	(revision 20490)
@@ -0,0 +1,29 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once(CLASS_REALDIR . "SC_Customer.php");
+
+class SC_Customer_Ex extends SC_Customer {
+}
+
+?>
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 20490)
@@ -147,5 +147,5 @@
         $arrTplVar->arrPref = $this->arrPref;
 
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $arrTplVar->tpl_user_point = $objCustomer->getValue('point');
 
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20490)
@@ -58,5 +58,5 @@
         $objSiteSession = new SC_SiteSession_Ex();
         $objCartSession = new SC_CartSession_Ex();
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $customerId = $objCustomer->getValue('customer_id');
 
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php	(revision 20489)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php	(revision 20490)
@@ -125,5 +125,5 @@
         $return = 0;
 
-        $objCustomer    = new SC_Customer();
+        $objCustomer    = new SC_Customer_Ex();
         $objQuery       =& SC_Query::getSingletonInstance();
 
@@ -404,5 +404,5 @@
          * されないので, 再度チェックを行う
          */
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         if ($objCustomer->isLoginSuccess(true)
             && SC_Helper_Customer_Ex::sfCustomerEmailDuplicationCheck($objCustomer->getValue('customer_id'), $objFormParam->getValue('email'))) {
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 20490)
@@ -69,5 +69,5 @@
     function action() {
 
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $customer_id = $objCustomer->getValue('customer_id');
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 20490)
@@ -74,5 +74,5 @@
     function action() {
 
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $customer_id = $objCustomer->getvalue('customer_id');
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 20167)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 20490)
@@ -68,5 +68,5 @@
      */
     function action() {
-        $objCustomer    = new SC_Customer();
+        $objCustomer    = new SC_Customer_Ex();
         $objDb          = new SC_Helper_DB_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 20328)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 20490)
@@ -71,5 +71,5 @@
 
         case 'complete':
-            $objCustomer = new SC_Customer();
+            $objCustomer = new SC_Customer_Ex();
             $this->lfDeleteCustomer($objCustomer->getValue('customer_id'));
             $objCustomer->EndSession();
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 20162)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 20490)
@@ -66,5 +66,5 @@
      */
     function action() {
-        $objCustomer    = new SC_Customer();
+        $objCustomer    = new SC_Customer_Ex();
         $customer_id    = $objCustomer->getValue('customer_id');
         $objFormParam   = new SC_FormParam();
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 20490)
@@ -58,5 +58,5 @@
         parent::process();
         // ログインチェック
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
 
         // ログインしていない場合は必ずログインページを表示する
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 20477)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 20490)
@@ -77,5 +77,5 @@
      */
     function action() {
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $customer_id = $objCustomer->getValue('customer_id');
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 20358)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 20490)
@@ -70,5 +70,5 @@
     function action() {
         // ログインチェック
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         if (!$objCustomer->isLoginSuccess()){
             SC_Utils_Ex::sfDispSiteError(DOWNFILE_NOT_FOUND,"",true);
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 20444)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 20490)
@@ -61,5 +61,5 @@
      */
     function action() {
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
 
         //受注詳細データの取得
@@ -88,5 +88,5 @@
         $objQuery       = SC_Query::getSingletonInstance();
 
-        $objCustomer    = new SC_Customer();
+        $objCustomer    = new SC_Customer_Ex();
         //customer_idを検証
         $customer_id    = $objCustomer->getValue("customer_id");
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 20490)
@@ -62,5 +62,5 @@
      */
     function action() {
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         if(!SC_Utils_Ex::sfIsInt($_GET['send_id'])) {
             SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 20162)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 20490)
@@ -63,5 +63,5 @@
      */
     function action() {
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         //セッション情報を最新の状態に更新する
         $objCustomer->updateSession();
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 20490)
@@ -67,5 +67,5 @@
      */
     function action() {
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $ParentPage  = MYPAGE_DELIVADDR_URLPATH;
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 20448)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 20490)
@@ -67,5 +67,5 @@
         $objCartSess = new SC_CartSession_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $objFormParam = new SC_FormParam();
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 20467)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 20490)
@@ -73,5 +73,5 @@
         $objCartSess = new SC_CartSession_Ex();
         $objSiteSess = new SC_SiteSession_Ex();
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $objQuery = new SC_Query();
         $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 20490)
@@ -78,5 +78,5 @@
         $objCartSess = new SC_CartSession_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $objFormParam = new SC_FormParam();
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20490)
@@ -78,5 +78,5 @@
         $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $objCookie = new SC_Cookie();
         $objPurchase = new SC_Helper_Purchase_Ex();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 20458)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 20490)
@@ -69,5 +69,5 @@
         $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
         $objFormParam = new SC_FormParam();
Index: /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 20448)
+++ /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 20490)
@@ -78,5 +78,5 @@
         $objCartSess = new SC_CartSession_Ex();
         $objSiteSess = new SC_SiteSession_Ex();
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
 
         $objFormParam = $this->lfInitParam($_REQUEST);
Index: /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php	(revision 20490)
@@ -145,5 +145,5 @@
     function lfSendRegistMail($registSecretKey) {
         $objQuery       = SC_Query::getSingletonInstance();
-        $objCustomer    = new SC_Customer();
+        $objCustomer    = new SC_Customer_Ex();
         $objHelperMail  = new SC_Helper_Mail_Ex();
         $CONF           = SC_Helper_DB_Ex::sfGetBasisData();
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 20490)
@@ -117,5 +117,5 @@
                 if(CUSTOMER_CONFIRM_MAIL == false) {
                     // ログイン状態にする
-                    $objCustomer = new SC_Customer();
+                    $objCustomer = new SC_Customer_Ex();
                     $objCustomer->setLogin($this->arrForm["email"]);
                 }
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 20116)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 20490)
@@ -66,5 +66,5 @@
      */
     function action() {
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         // クッキー管理クラス
         $objCookie = new SC_Cookie(COOKIE_EXPIRE);
Index: /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 20490)
@@ -66,5 +66,5 @@
     function action() {
         // 会員管理クラス
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         // クッキー管理クラス
         $objCookie = new SC_Cookie(COOKIE_EXPIRE);
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 20490)
@@ -93,5 +93,5 @@
     function action() {
         // 顧客クラスs
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
 
         // パラメータ管理クラス
@@ -443,5 +443,5 @@
         switch ($mode) {
         case 'add_favorite':
-            $objCustomer = new SC_Customer();
+            $objCustomer = new SC_Customer_Ex();
             $objErr = new SC_CheckError();
             $customer_id = $objCustomer->getValue('customer_id');
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php	(revision 20490)
@@ -64,5 +64,5 @@
     function action() {
         $this->tpl_title = '';
-        $objCustomer = new SC_Customer();
+        $objCustomer = new SC_Customer_Ex();
         $this->isLogin = $objCustomer->isLoginSuccess(true);
     }