Index: /branches/version-2_5-dev/data/class_extends/SC_PageNavi_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/SC_PageNavi_Ex.php	(revision 20491)
+++ /branches/version-2_5-dev/data/class_extends/SC_PageNavi_Ex.php	(revision 20491)
@@ -0,0 +1,29 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once(CLASS_REALDIR . "SC_PageNavi.php");
+
+class SC_PageNavi_Ex extends SC_PageNavi {
+}
+
+?>
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 20491)
@@ -184,5 +184,5 @@
 
         // ページ送りの取得
-        $objNavi = new SC_PageNavi($pageno, $linemax, $page_max, "fnNaviSearchOnlyPage", NAVI_PMAX);
+        $objNavi = new SC_PageNavi_Ex($pageno, $linemax, $page_max, "fnNaviSearchOnlyPage", NAVI_PMAX);
         $this->tpl_strnavi = $objNavi->strnavi;      // 表示文字列
         $startno = $objNavi->start_row;
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 20491)
@@ -151,5 +151,5 @@
                     $page_max = SC_Utils_Ex::sfGetSearchPageMax($objFormParam->getValue('search_page_max'));
                     // ページ送りの取得
-                    $objNavi = new SC_PageNavi($this->arrHidden['search_pageno'],
+                    $objNavi = new SC_PageNavi_Ex($this->arrHidden['search_pageno'],
                                                $this->tpl_linemax, $page_max,
                                                "fnNaviSearchPage", NAVI_PMAX);
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 20491)
@@ -91,5 +91,5 @@
 
                 // ページ送りの取得
-                $objNavi = new SC_PageNavi($_POST['search_pageno'], $this->tpl_linemax, $page_max, "fnNaviSearchOnlyPage", NAVI_PMAX);
+                $objNavi = new SC_PageNavi_Ex($_POST['search_pageno'], $this->tpl_linemax, $page_max, "fnNaviSearchOnlyPage", NAVI_PMAX);
                 $this->tpl_strnavi = $objNavi->strnavi;     // 表示文字列
                 $startno = $objNavi->start_row;
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 20491)
@@ -88,5 +88,5 @@
 
                 // ページ送りの取得
-                $objNavi = new SC_PageNavi($arrPost['search_pageno'], $this->tpl_linemax, $page_max, "fnNaviSearchOnlyPage", NAVI_PMAX);
+                $objNavi = new SC_PageNavi_Ex($arrPost['search_pageno'], $this->tpl_linemax, $page_max, "fnNaviSearchOnlyPage", NAVI_PMAX);
                 $this->tpl_strnavi = $objNavi->strnavi;      // 表示文字列
                 $startno = $objNavi->start_row;
Index: /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 20484)
+++ /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 20491)
@@ -318,5 +318,5 @@
         $linemax = $objQuery->count($table, $where, $arrVal);
         // ページ送りの取得
-        $objNavi = new SC_PageNavi($pageno, $linemax, $page_max, "fnNaviSearchPage2", NAVI_PMAX);
+        $objNavi = new SC_PageNavi_Ex($pageno, $linemax, $page_max, "fnNaviSearchPage2", NAVI_PMAX);
         // 取得範囲の指定(開始行番号、行数のセット)
         $objQuery->setLimitOffset($page_max, $objNavi->start_row);
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 20357)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 20491)
@@ -123,5 +123,5 @@
         $arrResult = $objSelect->select($col, "dtb_send_history", " del_flg = 0");
 
-        $objNavi = new SC_PageNavi($search_pageno,
+        $objNavi = new SC_PageNavi_Ex($search_pageno,
                                     $linemax,
                                     SEARCH_PMAX);
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 20491)
@@ -128,5 +128,5 @@
         $this->tpl_linemax = $linemax;
 
-        $objNavi = new SC_PageNavi($this->tpl_pageno, $linemax, SEARCH_PMAX, "fnNaviPage", NAVI_PMAX);
+        $objNavi = new SC_PageNavi_Ex($this->tpl_pageno, $linemax, SEARCH_PMAX, "fnNaviPage", NAVI_PMAX);
         $startno = $objNavi->start_row;
         $this->tpl_start_row = $objNavi->start_row;
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 20491)
@@ -153,5 +153,5 @@
                     $page_max = SC_Utils_Ex::sfGetSearchPageMax($objFormParam->getValue('search_page_max'));
                     // ページ送りの取得
-                    $objNavi = new SC_PageNavi($this->arrHidden['search_pageno'],
+                    $objNavi = new SC_PageNavi_Ex($this->arrHidden['search_pageno'],
                                                $this->tpl_linemax, $page_max,
                                                "fnNaviSearchPage", NAVI_PMAX);
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 20491)
@@ -155,5 +155,5 @@
 
         // ページ送りの取得
-        $objNavi = new SC_PageNavi($_POST['search_pageno'], $linemax, $page_max, "fnNaviSearchOnlyPage", NAVI_PMAX);
+        $objNavi = new SC_PageNavi_Ex($_POST['search_pageno'], $linemax, $page_max, "fnNaviSearchOnlyPage", NAVI_PMAX);
         $this->tpl_strnavi = $objNavi->strnavi;     // 表示文字列
         $startno = $objNavi->start_row;
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 20428)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 20491)
@@ -352,5 +352,5 @@
 
         // ページ送りの取得
-        $objNavi = new SC_PageNavi($this->tpl_pageno, $linemax, $page_max,
+        $objNavi = new SC_PageNavi_Ex($this->tpl_pageno, $linemax, $page_max,
                                    "fnNaviSearchPage", NAVI_PMAX);
         $this->arrPagenavi = $objNavi->arrPagenavi;
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 20353)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 20491)
@@ -88,5 +88,5 @@
         $pageno = $this->lfCheckPageNo($_GET['pageno']);
 
-        $objNavi = new SC_PageNavi($pageno, $linemax, MEMBER_PMAX, "fnMemberPage", NAVI_PMAX);
+        $objNavi = new SC_PageNavi_Ex($pageno, $linemax, MEMBER_PMAX, "fnMemberPage", NAVI_PMAX);
         $this->tpl_strnavi  = $objNavi->strnavi;
         $this->tpl_disppage = $objNavi->now_page;
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 20487)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 20491)
@@ -124,5 +124,5 @@
         $this->tpl_linemax = $this->lfGetProductAllNum($arrSearchCondition);
         $urlParam = "category_id={$this->arrSearchData['category_id']}&pageno=#page#";
-        $this->objNavi = new SC_PageNavi($this->tpl_pageno, $this->tpl_linemax, $this->disp_number, "fnNaviPage", NAVI_PMAX, $urlParam,SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE);
+        $this->objNavi = new SC_PageNavi_Ex($this->tpl_pageno, $this->tpl_linemax, $this->disp_number, "fnNaviPage", NAVI_PMAX, $urlParam,SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE);
         $this->arrProducts = $this->lfGetProductsList($arrSearchCondition,$this->disp_number,$this->objNavi->start_row,$this->tpl_linemax,$objProduct);
         //商品一覧の表示処理
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 20490)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 20491)
@@ -118,5 +118,5 @@
 
         // ページ送りの取得
-        $objNavi        = new SC_PageNavi($objPage->tpl_pageno, $linemax, SEARCH_PMAX, "fnNaviPage", NAVI_PMAX);
+        $objNavi        = new SC_PageNavi_Ex($objPage->tpl_pageno, $linemax, SEARCH_PMAX, "fnNaviPage", NAVI_PMAX);
         $this->tpl_strnavi = $objNavi->strnavi;		// 表示文字列
         $startno        = $objNavi->start_row;
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 20490)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 20491)
@@ -78,5 +78,5 @@
 
         //ページ送り用
-        $this->objNavi = new SC_PageNavi($_REQUEST['pageno'],
+        $this->objNavi = new SC_PageNavi_Ex($_REQUEST['pageno'],
                                          $this->lfGetOrderHistory($customer_id),
                                          SEARCH_PMAX,
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php	(revision 20490)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php	(revision 20491)
@@ -601,5 +601,5 @@
 
         // ページ送りの取得
-        $objNavi = new SC_PageNavi($arrParam['search_pageno'],
+        $objNavi = new SC_PageNavi_Ex($arrParam['search_pageno'],
                                     $linemax,
                                     $page_max,
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 20490)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 20491)
@@ -37,5 +37,5 @@
 require_once(CLASS_REALDIR . "SC_SelectSql.php");
 require_once(CLASS_REALDIR . "SC_CheckError.php");
-require_once(CLASS_REALDIR . "SC_PageNavi.php");
+require_once(CLASS_EX_REALDIR . "SC_PageNavi_Ex.php");
 require_once(CLASS_REALDIR . "SC_Date.php");
 require_once(CLASS_REALDIR . "SC_Image.php");